      Subroutine Contour(V,xloc,yloc,lmax,mx,my)
      Implicit none
      Integer lmax,mx,my
      Real V(lmax,mx+1,my+1)
      Real xloc(mx,my+1),yloc(mx,my+1)
      Real p(mx,my)
      Real wcell(mx,my)
      Real wnode(mx,my)
      Integer i,j

      open(unit=10,file='info.dat',status='unknown')
	write(10,*) 'VARIABLES= "x","y","u","v","mach","entropy","enthalpy"'
	write(10,*) 'ZONE I=',mx,' J=',my,'F=BLOCK'
1	Format(6f12.6)
      Forall(i=2:mx,j=2:my) p(i,j)=0.4*(V(4,i,j)
     $ -0.5/V(1,i,j)*(V(2,i,j)**2 + V(3,i,j)**2))
      write(10,1) ((xloc(i,j),i=1,mx),j=1,my)
      Write(10,1) ((yloc(i,j),i=1,mx),j=1,my)

!---------Put u component of velocity into file-----

      Forall(i=2:mx,j=2:my) wcell(i,j)=V(2,i,j)/V(1,i,j)
      Forall(i=2:mx-1,j=2:my-1) wnode(i,j)=0.25*(wcell(i+1,j)
     $ + wcell(i+1,j+1) + wcell(i,j+1) + wcell(i,j))

      wnode(1,1)=wcell(2,2)
      wnode(1,my)=wcell(2,my)
      wnode(mx,my)=wcell(mx,my)
      Wnode(mx,1)=wcell(mx,2)

      Forall(j=2:my-1) wnode(1,j)=0.5*(wcell(2,j+1)+
     $ wcell(2,j))
      Forall(j=2:my-1) wnode(mx,j)=0.5*(wcell(mx,j+1)
     $ + wcell(mx,j))
      Forall(i=2:mx-1) wnode(i,1)=0.5*(wcell(i,2)+
     $ wcell(i+1,2))
      Forall(i=2:mx-1) wnode(i,my)=0.5*(wcell(i,my)+wcell(i+1,my))
	write(10,1) ((wnode(i,j),i=1,mx),j=1,my)
!--------Put v component of velocity into file--------

      Forall(i=2:mx,j=2:my)  wcell(i,j)=V(3,i,j)/V(1,i,j) 
      Forall(i=2:mx-1,j=2:my-1) wnode(i,j)=0.25*(wcell(i+1,j)
     $ + wcell(i+1,j+1) + wcell(i,j+1) + wcell(i,j))

      wnode(1,1)=wcell(2,2)
      wnode(1,my)=wcell(2,my)
      wnode(mx,my)=wcell(mx,my)
      Wnode(mx,1)=wcell(mx,2)

      Forall(j=2:my-1) wnode(1,j)=0.5*(wcell(2,j+1)+
     $ wcell(2,j))
      Forall(j=2:my-1) wnode(mx,j)=0.5*(wcell(mx,j+1)
     $ + wcell(mx,j))
      Forall(i=2:mx-1) wnode(i,1)=0.5*(wcell(i,2)+
     $ wcell(i+1,2))
      Forall(i=2:mx-1) wnode(i,my)=0.5*(wcell(i,my)+wcell(i+1,my))
	write(10,1) ((wnode(i,j),i=1,mx),j=1,my)
!----------Put mach number into file----------------

      Forall(i=2:mx,j=2:my) wcell(i,j)=sqrt((V(2,i,j)/V(1,i,j))**2
     $ + (V(3,i,j)/V(1,i,j))**2)/sqrt(1.4*p(i,j)/V(1,i,j))
      
      Forall(i=2:mx-1,j=2:my-1) wnode(i,j)=0.25*(wcell(i+1,j)
     $ + wcell(i+1,j+1) + wcell(i,j+1) + wcell(i,j))

      wnode(1,1)=wcell(2,2)
      wnode(1,my)=wcell(2,my)
      wnode(mx,my)=wcell(mx,my)
      Wnode(mx,1)=wcell(mx,2)

      Forall(j=2:my-1) wnode(1,j)=0.5*(wcell(2,j+1)+
     $ wcell(2,j))
      Forall(j=2:my-1) wnode(mx,j)=0.5*(wcell(mx,j+1)
     $ + wcell(mx,j))
      Forall(i=2:mx-1) wnode(i,1)=0.5*(wcell(i,2)+
     $ wcell(i+1,2))
      Forall(i=2:mx-1) wnode(i,my)=0.5*(wcell(i,my)+wcell(i+1,my))

	write(10,1) ((wnode(i,j),i=1,mx),j=1,my)
!--------Stick entropy in there-------
       Forall(i=2:mx,j=2:my) wcell(i,j)=1.4/(1.4-1.0)*log(p(i,j)
     $ /V(1,i,j)) - log(p(i,j))

        Forall(i=2:mx-1,j=2:my-1) wnode(i,j)=0.25*(wcell(i+1,j)
     $ + wcell(i+1,j+1) + wcell(i,j+1) + wcell(i,j))

      wnode(1,1)=wcell(2,2)
      wnode(1,my)=wcell(2,my)
      wnode(mx,my)=wcell(mx,my)
      Wnode(mx,1)=wcell(mx,2)

      Forall(j=2:my-1) wnode(1,j)=0.5*(wcell(2,j+1)+
     $ wcell(2,j))
      Forall(j=2:my-1) wnode(mx,j)=0.5*(wcell(mx,j+1)
     $ + wcell(mx,j))
      Forall(i=2:mx-1) wnode(i,1)=0.5*(wcell(i,2)+
     $ wcell(i+1,2))
      Forall(i=2:mx-1) wnode(i,my)=0.5*(wcell(i,my)+wcell(i+1,my))

	write(10,1) ((wnode(i,j),i=1,mx),j=1,my)

!----------Enthalpy-----------------

	Forall(i=2:mx,j=2:my) wcell(i,j)=V(4,i,j)/V(1,i,j) +p(i,j)/V(1,i,j)
	 Forall(i=2:mx-1,j=2:my-1) wnode(i,j)=0.25*(wcell(i+1,j)
     $ + wcell(i+1,j+1) + wcell(i,j+1) + wcell(i,j))

      wnode(1,1)=wcell(2,2)
      wnode(1,my)=wcell(2,my)
      wnode(mx,my)=wcell(mx,my)
      Wnode(mx,1)=wcell(mx,2)

      Forall(j=2:my-1) wnode(1,j)=0.5*(wcell(2,j+1)+
     $ wcell(2,j))
      Forall(j=2:my-1) wnode(mx,j)=0.5*(wcell(mx,j+1)
     $ + wcell(mx,j))
      Forall(i=2:mx-1) wnode(i,1)=0.5*(wcell(i,2)+
     $ wcell(i+1,2))
      Forall(i=2:mx-1) wnode(i,my)=0.5*(wcell(i,my)+wcell(i+1,my))

	write(10,1) ((wnode(i,j),i=1,mx),j=1,my)
	close(unit=10)
      End subroutine






